void printi(int val);

int main()
{
  int a[] = { 1, 2, 3, 4, 5, 6, 0 };
  int *p;

  for (p = a; *p; p = p + 2) {
    printi(*p);
  }

  for (p = a; *p != 1; p = p - 2) {
    printi(*p);
  }

  return 0;
}
